    PROGRAM g01ftfe

!      G01FTF Example Program Text

!      Mark 23 Release. NAG Copyright 2011.

!      .. Use Statements ..
       USE nag_library, ONLY : g01ftf, nag_wp
!      .. Implicit None Statement ..
       IMPLICIT NONE
!      .. Parameters ..
       INTEGER, PARAMETER              :: nin = 5, nout = 6
!      .. Local Scalars ..
       REAL (KIND=nag_wp)              :: x, y
       INTEGER                         :: ifail
!      .. Executable Statements ..
       WRITE (nout,*) 'G01FTF Example Program Results'
       WRITE (nout,*)

!      Skip heading in data file
       READ (nin,*)

!      Display titles
       WRITE (nout,*) '  X          Y        IFAIL'
       WRITE (nout,*)

D_LP:  DO
          READ (nin,*,IOSTAT=ifail) x
          IF (ifail/=0) THEN
             EXIT D_LP
          END IF

!         Compute the value of the inverse of the Landau distribution function
          ifail = 0
          y = g01ftf(x,ifail)

!         Display results
          WRITE (nout,99999) x, y, ifail
       END DO D_LP

99999  FORMAT (1X,F4.1,3X,1P,E12.4,I6)
    END PROGRAM g01ftfe
